Name:           python-sentinelc-appfeed
Version:        6.0.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Tools used to validate, create and publish an app libary feed for the SentinelC platform.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.com/sentinelc/app-library-builder
Source:         %{pypi_source sentinelc_appfeed}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sentinelc-appfeed' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sentinelc-appfeed
Summary:        %{summary}

%description -n python3-sentinelc-appfeed %_description


%prep
%autosetup -p1 -n sentinelc_appfeed-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sentinelc-appfeed -f %{pyproject_files}


%changelog
%autochangelog